SDG
Universes

Universes SDG Documents Statistics

Get the maximum intensity score per SDG goal for each entity in one universe.

GET
https://api.textreveal.com/v3/universes/{universe_id}/sdg/documents/stats

Request

Parameters

  • universe_id*uuid

    Unique identifier of the universe.

    Example: "75ebc096-749e-4b8f-b690-df13daf49c62"
  • sizeinteger

    Number of records per page

    Default: 10Range: [1, 1000]
  • search_afterstring

    search_after field value from the previous page

  • extract_datedate (operator)

    Extraction date of the documents

    You can input a date or use the following operators: lt (<), lte (≤), gt (>), gte (≥), neq (≠), between

    Example: "between:2022-01-01;2022-01-02"

Response

Response - 200

Maximum intensity score for each of the 17 SDG goals, grouped by entity.

  • data*object[]

    Statistics about the SDG documents of the universe, grouped by entity.

  • size*integer

    Number of records per page requested.

    Example: 1
  • has_next*boolean

    True if there are more records available.

    Example: true
  • count*integer

    Number of records returned in the current page.

    Example: 1
  • search_after*string | null

    Cursor for next page.

Response
{
  "data": [
    {
      "entity_id": "00000000-0000-0000-0000-000000000000",
      "count": 67,
      "category": {
        "SDG:1": {
          "score": {
            "max": 3
          }
        },
        "SDG:2": {
          "score": {
            "max": 3
          }
        },
        "SDG:3": {
          "score": {
            "max": 3
          }
        },
        "SDG:4": {
          "score": {
            "max": 3
          }
        },
        "SDG:5": {
          "score": {
            "max": 3
          }
        },
        "SDG:6": {
          "score": {
            "max": 3
          }
        },
        "SDG:7": {
          "score": {
            "max": 3
          }
        },
        "SDG:8": {
          "score": {
            "max": 3
          }
        },
        "SDG:9": {
          "score": {
            "max": 3
          }
        },
        "SDG:10": {
          "score": {
            "max": 3
          }
        },
        "SDG:11": {
          "score": {
            "max": 3
          }
        },
        "SDG:12": {
          "score": {
            "max": 3
          }
        },
        "SDG:13": {
          "score": {
            "max": 3
          }
        },
        "SDG:14": {
          "score": {
            "max": 3
          }
        },
        "SDG:15": {
          "score": {
            "max": 3
          }
        },
        "SDG:16": {
          "score": {
            "max": 3
          }
        },
        "SDG:17": {
          "score": {
            "max": 3
          }
        }
      }
    }
  ],
  "size": 1,
  "has_next": true,
  "count": 1,
  "search_after": "string"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number

    Error code.

    Example: 400
  • reason*string

    Error reason.

    Example: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "size",
      "reason": "invalid_type"
    }
  ]
}

Error - 401

Unauthorized

  • message*string

    Error message.

    Example: "Authorization header is expected"
  • code*number

    Error code.

    Example: 401
  • reason*string

    Error reason.

    Example: "unauthorized"
  • errors*object[]
    Array length: [1, 1]
Response
{
  "message": "Authorization header is expected",
  "code": 401,
  "reason": "unauthorized",
  "errors": [
    {
      "message": "Required",
      "field": "headers.authorization",
      "reason": "invalid_type"
    }
  ]
}

Error - 402

Payment required

  • message*string

    Error message.

    Example: "Your account does not have access to this entity. Contact SESAMm sales for more information."
  • code*number

    Error code.

    Example: 402
  • reason*string

    Error reason.

    Example: "forbidden"
Response
{
  "message": "Your account does not have access to this entity. Contact SESAMm sales for more information.",
  "code": 402,
  "reason": "forbidden"
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "Missing required permissions to perform this action."
  • code*number

    Error code.

    Example: 403
  • reason*string

    Error reason.

    Example: "forbidden"
Response
{
  "message": "Missing required permissions to perform this action.",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your company."
  • code*number

    Error code.

    Example: 404
  • reason*string

    Error reason.

    Example: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Error - 405

Method not allowed

  • message*string

    Error message.

    Example: "Method Not Allowed"
  • code*number

    Error code.

    Example: 405
  • reason*string

    Error reason.

    Example: "invalid"
Response
{
  "message": "Method Not Allowed",
  "code": 405,
  "reason": "invalid"
}

Generic errors are not shown, see Errors for more details.